| Home | Libraries | People | FAQ | More

##### url_base::authority

(Inherited from `url_view_base`)

Return the authority.

###### Synopsis

    authority_view
    authority() const;

###### Description

This function returns the authority as an `authority_view`.

###### Example

    authority_view a = url_view( "https://www.example.com:8080/index.htm" ).authority();

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    authority   = [ userinfo "@" ] host [ ":" port ]

###### Specification

- 3.2. Authority (rfc3986)

###### See Also

`encoded_authority`, `has_authority`.